> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api.alsona.com/llms.txt.
> For full documentation content, see https://api.alsona.com/llms-full.txt.

# Generate AI response (experimental)

POST https://alsona.com/rest/accounts/{account_id}/inbox/linkedin/seats/{seat_id}/threads/{thread_id}/generate-ai-response
Content-Type: application/json

Generate an AI-suggested reply for a Linkedin thread. **Experimental** - response quality depends on thread context.

Reference: https://api.alsona.com/api-reference/inbox/linkedin/threads/generate-ai-response-experimental

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /rest/accounts/{account_id}/inbox/linkedin/seats/{seat_id}/threads/{thread_id}/generate-ai-response:
    post:
      operationId: generate-ai-response-experimental
      summary: Generate AI response (experimental)
      description: >-
        Generate an AI-suggested reply for a Linkedin thread. **Experimental** -
        response quality depends on thread context.
      tags:
        - >-
          subpackage_inbox.subpackage_inbox/linkedin.subpackage_inbox/linkedin/threads
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
        - name: seat_id
          in: path
          required: true
          schema:
            type: string
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
        - name: X-API-KEY
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Inbox_Linkedin_Threads_Generate AI
                  response (experimental)_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                tone:
                  type: string
                seat_id:
                  type: string
                thread_id:
                  type: string
                max_length:
                  type: integer
              required:
                - tone
                - seat_id
                - thread_id
                - max_length
servers:
  - url: https://alsona.com
components:
  schemas:
    Inbox_Linkedin_Threads_Generate AI response (experimental)_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Inbox_Linkedin_Threads_Generate AI response (experimental)_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

```

## SDK Code Examples

```python
import requests

url = "https://alsona.com/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id/generate-ai-response"

payload = {
    "tone": "professional",
    "seat_id": "{{seat_id}}",
    "thread_id": "{{thread_id}}",
    "max_length": 300
}
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://alsona.com/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id/generate-ai-response';
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"tone":"professional","seat_id":"{{seat_id}}","thread_id":"{{thread_id}}","max_length":300}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://alsona.com/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id/generate-ai-response"

	payload := strings.NewReader("{\n  \"tone\": \"professional\",\n  \"seat_id\": \"{{seat_id}}\",\n  \"thread_id\": \"{{thread_id}}\",\n  \"max_length\": 300\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://alsona.com/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id/generate-ai-response")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"tone\": \"professional\",\n  \"seat_id\": \"{{seat_id}}\",\n  \"thread_id\": \"{{thread_id}}\",\n  \"max_length\": 300\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://alsona.com/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id/generate-ai-response")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"tone\": \"professional\",\n  \"seat_id\": \"{{seat_id}}\",\n  \"thread_id\": \"{{thread_id}}\",\n  \"max_length\": 300\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://alsona.com/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id/generate-ai-response', [
  'body' => '{
  "tone": "professional",
  "seat_id": "{{seat_id}}",
  "thread_id": "{{thread_id}}",
  "max_length": 300
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://alsona.com/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id/generate-ai-response");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"tone\": \"professional\",\n  \"seat_id\": \"{{seat_id}}\",\n  \"thread_id\": \"{{thread_id}}\",\n  \"max_length\": 300\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "tone": "professional",
  "seat_id": "{{seat_id}}",
  "thread_id": "{{thread_id}}",
  "max_length": 300
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://alsona.com/rest/accounts/account_id/inbox/linkedin/seats/seat_id/threads/thread_id/generate-ai-response")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```